## lcalc 0.0.20080205

=== src/Makefile ===
#
# Makefile for the L-function calculator version 0.2
#

#todo: set up a configuration file that will detect
#the operating system, whether gmp, or pari are installed and
#the location of all the relevant files,
#the c compiler, that will generate options which are specific to the
#compilers, optimization options depending on the chip, etc


# Comment out the following line to remove the use of pari's
# elliptic curve routines. Doing so disables the -e option.
# g++ with -DINCLUDE_PARI sends a #define INCLUDE_PARI to the preprocessor.

#PARI_DEFINE = -DINCLUDE_PARI
#PREPROCESSOR_DEFINE = -DUSE_LONG_DOUBLE

#PREPROCESSOR_DEFINE = -DUSE_MPFR
ifeq ($(PREPROCESSOR_DEFINE),-DUSE_MPFR)
  #GMP_FLAGS= -L/usr/local/lib -lmpfrcpp -lgmp -lmpfr 
  GMP_FLAGS= gmpfrxx.o mpfr_mul_d.o -lmpfr -lgmp -lgmpxx -lm
else
  GMP_FLAGS=
endif


#OS_NAME = Darwin
OS_NAME=Linux


CC = g++
#CC = /Users/michaelrubinstein/math/L/packages/gcc4.3/usr/local/bin/g++
EXTRA= #-pg


#MACHINE_SPECIFIC_FLAGS = -Wno-long-double
MACHINE_SPECIFIC_FLAGS = -ffast-math

#G4 = FALSE
#ifeq ($(G4),TRUE)
#MACHINE_SPECIFIC_FLAGS = -fast -mcpu=G4 -mtune=G4
#endif

#G5 = TRUE
ifeq ($(G5),TRUE)
   #MACHINE_SPECIFIC_FLAGS = -fast -mcpu=G5 -mtune=G5
   #MACHINE_SPECIFIC_FLAGS = -ffast-math -maltivec -mpowerpc -mpowerpc64 -ftree-vectorize -ftree-vectorizer-verbose=5 -funroll-loops

   #MACHINE_SPECIFIC_FLAGS = -ffast-math -mpowerpc -mpowerpc64 -ftree-vectorize -ftree-vectorizer-verbose=5 -funroll-loops
   MACHINE_SPECIFIC_FLAGS = -ffast-math -mpowerpc -mpowerpc64 -m64
   #MACHINE_SPECIFIC_FLAGS = -mpowerpc -mpowerpc64 -m64
endif

CCFLAGS =  -Wa,-W -O2 -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
#CCFLAGS =  -Wa,-W -O2 -fno-exceptions -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)

#warning- O2 doesn't help with -DUSE_LONG_DOUBLE on mac, and actually seems to hurt, making runtime longer
#by a factor of 1.5


ifeq ($(PARI_DEFINE),-DINCLUDE_PARI)
    #location of pari.h.
    LOCATION_PARI_H = /usr/local/include/pari #usual location

    #location of libpari.a or of libpari.so
    #depending on whether static or dynamic libraries are being used.
    #On mac os x it's the former, on linux I think usually the latter.
    LOCATION_PARI_LIBRARY = /usr/local/lib #usual location
else
    #supplied as a dummy so as to avoid more ifeq's below
    LOCATION_PARI_H = .
    LOCATION_PARI_LIBRARY = .
endif



#INCLUDEFILES= -I../include -I../../packages/gcc4.3/usr/local/include
INCLUDEFILES= -I../include

#For Mac os x we omit shared library options

ifeq ($(OS_NAME),Darwin)
    LDFLAGS2 =
else
    LDFLAGS1 = -Xlinker -export-dynamic #not sure why pari calls these when linking but on the web I found
    #'Libtool provides the `-export-dynamic' link flag (see section Link mode), which does this declaration.
    #You need to use this flag if you are linking a shared library that will be dlopened'
    #see notes below
    #ifeq ($(PARI_DEFINE),-DINCLUDE_PARI)
       LDFLAGS2 = $(LDFLAGS1) -Xlinker -rpath -Xlinker $(LOCATION_PARI_LIBRARY)
    #else
    #    LDFLAGS2 = $(LDFLAGS1)
    #endif
endif

ifeq ($(PARI_DEFINE),-DINCLUDE_PARI)
    LDFLAGS = $(LDFLAGS2) -L$(LOCATION_PARI_LIBRARY) -lpari 
else
    LDFLAGS = $(LDFLAGS2)
endif


#NOTES:
#for caedmon: the shared pari library is in a funny location: /usr/local/pari/pari-2.1.5/lib
#At compile time we need to specify that location with:
#    -L/usr/local/pari/pari-2.1.5/lib -lpari
#At runtime, the computer attempts to load the pari shared library, and if it isn't in a standard
#location, we can do two things.
#1) One page suggested:
#    -Xlinker -rpath -Xlinker /usr/local/pari/pari-2.1.5/lib
#2) The other option, not recommended, is to type at the unix prompt:
#    LD_LIBRARY_PATH=/usr/local/pari/pari-2.1.5/lib:$LD_LIBRARY_PATH
#    export LD_LIBRARY_PATH
#If this is not done correctly, at runntime one gets the error
#    ./lcalc: error while loading shared libraries: libpari.so.1: cannot open shared 
#    object file: No such file or directory
#One can list, after compiling, dynamic dependencies with the command: ldd lcalc and it will 
#become clear which libraries the computer can find.


INSTALL_DIR= /usr/local

#object files for the libLfunction library
OBJ_L = Lglobals.o Lgamma.o Lriemannsiegel.o

#object files for the command line program
OBJ2=$(OBJ_L) Lcommandline_globals.o Lcommandline_misc.o Lcommandline_numbertheory.o Lcommandline_values_zeros.o
OBJ3=$(OBJ2) Lcommandline_elliptic.o Lcommandline_twist.o Lcommandline.o cmdline.o
OBJECTS = $(OBJ3)

all:
	make libLfunction.a
#	make examples
	make lcalc

lcalc: $(OBJECTS)
	$(CC) $(CCFLAGS) $(INCLUDEFILES) $(OBJECTS) $(LDFLAGS) -o lcalc $(GMP_FLAGS)

examples:
	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/example.cc libLfunction.a -o example_programs/example $(GMP_FLAGS)

.cc.o:
	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<
.c.o:
	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<

Lglobals.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h

#Lmisc.o: ../include/Lmisc.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h

Lgamma.o: ../include/Lgamma.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h

Lriemannsiegel.o: ../include/Lriemannsiegel.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h
Lriemannsiegel.o: ../include/Lint_complex.h ../include/Lgamma.h
Lriemannsiegel.o: ../include/Lmisc.h

#all I need here is dependence on the definition of the L-function class
#and the Complex typedef
Lcommandline_globals.o: ../include/Lcommandline_globals.h ../include/L.h
Lcommandline_globals.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
#Lcommandline_globals.o: ../include/Lmisc.h ../include/Lgamma.h
#Lcommandline_globals.o: ../include/Lriemannsiegel.h
#Lcommandline_globals.o: ../include/Ldirichlet_series.h ../include/Lprint.h
#Lcommandline_globals.o: ../include/Lnumberzeros.h ../include/Lgram.h
#Lcommandline_globals.o: ../include/Lvalue.h ../include/Lfind_zeros.h

Lcommandline_misc.o: ../include/Lcommandline_misc.h ../include/L.h
Lcommandline_misc.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
Lcommandline_misc.o: ../include/Lmisc.h ../include/Lgamma.h
Lcommandline_misc.o: ../include/Lriemannsiegel.h
Lcommandline_misc.o: ../include/Ldirichlet_series.h ../include/Lprint.h
Lcommandline_misc.o: ../include/Lnumberzeros.h ../include/Lgram.h
Lcommandline_misc.o: ../include/Lvalue.h ../include/Lfind_zeros.h
Lcommandline_misc.o: ../include/Lcommandline_numbertheory.h
Lcommandline_misc.o: ../include/Lcommandline_globals.h

Lcommandline_numbertheory.o: ../include/Lcommandline_numbertheory.h
Lcommandline_numbertheory.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h

Lcommandline_values_zeros.o: ../include/Lcommandline_values_zeros.h
Lcommandline_values_zeros.o: ../include/L.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h
Lcommandline_values_zeros.o: ../include/Lint_complex.h ../include/Lmisc.h
Lcommandline_values_zeros.o: ../include/Lgamma.h ../include/Lriemannsiegel.h
Lcommandline_values_zeros.o: ../include/Ldirichlet_series.h
Lcommandline_values_zeros.o: ../include/Lprint.h ../include/Lnumberzeros.h
Lcommandline_values_zeros.o: ../include/Lgram.h ../include/Lvalue.h
Lcommandline_values_zeros.o: ../include/Lfind_zeros.h
Lcommandline_values_zeros.o: ../include/Lcommandline_numbertheory.h
Lcommandline_values_zeros.o: ../include/Lcommandline_globals.h

Lcommandline_elliptic.o: ../include/Lcommandline_elliptic.h ../include/L.h
Lcommandline_elliptic.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
#Lcommandline_elliptic.o: ../include/Lmisc.h ../include/Lgamma.h
Lcommandline_elliptic.o: ../include/Lriemannsiegel.h
Lcommandline_elliptic.o: ../include/Ldirichlet_series.h ../include/Lprint.h
Lcommandline_elliptic.o: ../include/Lnumberzeros.h ../include/Lgram.h
Lcommandline_elliptic.o: ../include/Lvalue.h ../include/Lfind_zeros.h
Lcommandline_elliptic.o: ../include/Lcommandline_numbertheory.h
Lcommandline_elliptic.o: ../include/Lcommandline_globals.h
	$(CC) $(CCFLAGS) $(INCLUDEFILES) -I$(LOCATION_PARI_H) $(PARI_DEFINE) -c Lcommandline_elliptic.cc

Lcommandline_twist.o: ../include/Lcommandline_twist.h ../include/L.h
Lcommandline_twist.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
#Lcommandline_twist.o: ../include/Lmisc.h ../include/Lgamma.h
Lcommandline_twist.o: ../include/Lriemannsiegel.h
Lcommandline_twist.o: ../include/Ldirichlet_series.h ../include/Lprint.h
Lcommandline_twist.o: ../include/Lnumberzeros.h ../include/Lgram.h
Lcommandline_twist.o: ../include/Lvalue.h ../include/Lfind_zeros.h
Lcommandline_twist.o: ../include/Lcommandline_numbertheory.h
Lcommandline_twist.o: ../include/Lcommandline_globals.h
Lcommandline_twist.o: ../include/Lcommandline_elliptic.h
	$(CC) $(CCFLAGS) $(INCLUDEFILES) -I$(LOCATION_PARI_H) $(PARI_DEFINE) -c Lcommandline_twist.cc

cmdline.o: ../include/cmdline.h ../include/getopt.h
#$(CC) $(CCFLAGS) $(INCLUDEFILES) -DHAVE_LONG_LONG -c cmdline.c


Lcommandline.o: ../include/Lcommandline.h ../include/L.h
Lcommandline.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
Lcommandline.o: ../include/Lmisc.h ../include/Lgamma.h
Lcommandline.o: ../include/Lriemannsiegel.h ../include/Ldirichlet_series.h
Lcommandline.o: ../include/Lprint.h ../include/Lnumberzeros.h
Lcommandline.o: ../include/Lgram.h ../include/Lvalue.h
Lcommandline.o: ../include/Lfind_zeros.h
Lcommandline.o: ../include/Lcommandline_numbertheory.h
Lcommandline.o: ../include/Lcommandline_globals.h
Lcommandline.o: ../include/Lcommandline_misc.h
Lcommandline.o: ../include/Lcommandline_elliptic.h
Lcommandline.o: ../include/Lcommandline_twist.h
Lcommandline.o: ../include/Lcommandline_values_zeros.h
	$(CC) $(CCFLAGS) $(INCLUDEFILES) -I$(LOCATION_PARI_H) $(PARI_DEFINE) -c Lcommandline.cc


libLfunction.a: $(OBJ_L)
	ar ruv libLfunction.a $(OBJ_L)
	ranlib libLfunction.a

clean:
	rm -f *.o lcalc libLfunction.a example_programs/example

install:
	cp -f lcalc $(INSTALL_DIR)/bin/.
	cp -f libLfunction.a $(INSTALL_DIR)/lib/.
	ranlib $(INSTALL_DIR)/lib/libLfunction.a
	cp -rf ../include $(INSTALL_DIR)/include/Lfunction


SRCS = Lcommandline.cc Lcommandline_elliptic.cc Lcommandline_globals.cc Lcommandline_misc.cc Lcommandline_numbertheory.cc Lcommandline_twist.cc Lcommandline_values_zeros.cc Lgamma.cc Lglobals.cc Lmisc.cc Lriemannsiegel.cc
depend:
	makedepend -f depends -- $(CCFLAGS) -Y../include -- $(SRCS)

## lcalc 1.23+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -16,26 +16,32 @@
 #PARI_DEFINE = -DINCLUDE_PARI
 #PREPROCESSOR_DEFINE = -DUSE_LONG_DOUBLE
 
+#OPENMP_FLAG = -fopenmp
+
 #PREPROCESSOR_DEFINE = -DUSE_MPFR
 ifeq ($(PREPROCESSOR_DEFINE),-DUSE_MPFR)
-  #GMP_FLAGS= -L/usr/local/lib -lmpfrcpp -lgmp -lmpfr 
+  #GMP_FLAGS= -L/usr/local/lib -lmpfrcpp -lgmp -lmpfr
   GMP_FLAGS= gmpfrxx.o mpfr_mul_d.o -lmpfr -lgmp -lgmpxx -lm
 else
   GMP_FLAGS=
 endif
 
 
-#OS_NAME = Darwin
-OS_NAME=Linux
-
+OS_NAME := $(shell uname)
 
 CC = g++
+#cc = /home/mrubinst/local/bin/gcc
+#CC = /home/mrubinst/local/bin/g++
+#LD = /home/mrubinst/local/bin/g++
+
 #CC = /Users/michaelrubinstein/math/L/packages/gcc4.3/usr/local/bin/g++
-EXTRA= #-pg
+#EXTRA= -pg
+#EXTRA = -ftree-vectorize -ftree-vectorizer-verbose=5 -funroll-loops
+
 
 
 #MACHINE_SPECIFIC_FLAGS = -Wno-long-double
-MACHINE_SPECIFIC_FLAGS = -ffast-math
+MACHINE_SPECIFIC_FLAGS = -ffast-math -fPIC
 
 #G4 = FALSE
 #ifeq ($(G4),TRUE)
@@ -52,7 +58,8 @@
    #MACHINE_SPECIFIC_FLAGS = -mpowerpc -mpowerpc64 -m64
 endif
 
-CCFLAGS =  -Wa,-W -O2 -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
+CCFLAGS =  -Wa,-W -O3 $(OPENMP_FLAG) -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
+#CCFLAGS =  -Wa,-W -O3 $(OPENMP_FLAG)  $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
 #CCFLAGS =  -Wa,-W -O2 -fno-exceptions -Wno-deprecated $(PREPROCESSOR_DEFINE) $(MACHINE_SPECIFIC_FLAGS) $(EXTRA)
 
 #warning- O2 doesn't help with -DUSE_LONG_DOUBLE on mac, and actually seems to hurt, making runtime longer
@@ -82,6 +89,7 @@
 
 ifeq ($(OS_NAME),Darwin)
     LDFLAGS2 =
+    DYN_OPTION=dynamiclib
 else
     LDFLAGS1 = -Xlinker -export-dynamic #not sure why pari calls these when linking but on the web I found
     #'Libtool provides the `-export-dynamic' link flag (see section Link mode), which does this declaration.
@@ -92,13 +100,15 @@
     #else
     #    LDFLAGS2 = $(LDFLAGS1)
     #endif
+    DYN_OPTION=shared
 endif
 
 ifeq ($(PARI_DEFINE),-DINCLUDE_PARI)
-    LDFLAGS = $(LDFLAGS2) -L$(LOCATION_PARI_LIBRARY) -lpari 
+    LDFLAGS = $(LDFLAGS2) -L$(LOCATION_PARI_LIBRARY) -lpari
 else
     LDFLAGS = $(LDFLAGS2)
 endif
+
 
 
 #NOTES:
@@ -113,7 +123,7 @@
 #    LD_LIBRARY_PATH=/usr/local/pari/pari-2.1.5/lib:$LD_LIBRARY_PATH
 #    export LD_LIBRARY_PATH
 #If this is not done correctly, at runntime one gets the error
-#    ./lcalc: error while loading shared libraries: libpari.so.1: cannot open shared 
+#    ./lcalc: error while loading shared libraries: libpari.so.1: cannot open shared
 #    object file: No such file or directory
 #One can list, after compiling, dynamic dependencies with the command: ldd lcalc and it will 
 #become clear which libraries the computer can find.
@@ -122,7 +132,7 @@
 INSTALL_DIR= /usr/local
 
 #object files for the libLfunction library
-OBJ_L = Lglobals.o Lgamma.o Lriemannsiegel.o
+OBJ_L = Lglobals.o Lgamma.o Lriemannsiegel.o Lriemannsiegel_blfi.o Ldokchitser.o
 
 #object files for the command line program
 OBJ2=$(OBJ_L) Lcommandline_globals.o Lcommandline_misc.o Lcommandline_numbertheory.o Lcommandline_values_zeros.o
@@ -130,21 +140,38 @@
 OBJECTS = $(OBJ3)
 
 all:
-	make libLfunction.a
-#	make examples
+#	make print_vars
+	make libLfunction.so
 	make lcalc
+	make examples
+#	make find_L
+#	make test
+
+print_vars:
+	@echo OS_NAME = $(OS_NAME)
 
 lcalc: $(OBJECTS)
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) $(OBJECTS) $(LDFLAGS) -o lcalc $(GMP_FLAGS)
 
 examples:
-	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/example.cc libLfunction.a -o example_programs/example $(GMP_FLAGS)
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/example.cc libLfunction.so -o example_programs/example $(GMP_FLAGS)
+
+
+proc:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/proc.cc libLfunction.so -o example_programs/proc $(GMP_FLAGS)
+
+test:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) example_programs/test.cc libLfunction.so -o example_programs/test $(GMP_FLAGS)
+
+find_L:
+	$(CC) $(CCFLAGS) $(INCLUDEFILES) find_L_functions/find_L_functions.cc libLfunction.so -o find_L_functions/find_L $(GMP_FLAGS)
 
 .cc.o:
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<
 .c.o:
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -c $<
 
+
 Lglobals.o: ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
 
 #Lmisc.o: ../include/Lmisc.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
@@ -154,6 +181,8 @@
 Lriemannsiegel.o: ../include/Lriemannsiegel.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h
 Lriemannsiegel.o: ../include/Lint_complex.h ../include/Lgamma.h
 Lriemannsiegel.o: ../include/Lmisc.h
+
+Ldokchitser.o: ../include/Ldokchitser.h ../include/Lglobals.h ../include/Lcommon.h ../include/Lcomplex.h ../include/Lnumeric.h ../include/Lint_complex.h
 
 #all I need here is dependence on the definition of the L-function class
 #and the Complex typedef
@@ -232,20 +261,18 @@
 	$(CC) $(CCFLAGS) $(INCLUDEFILES) -I$(LOCATION_PARI_H) $(PARI_DEFINE) -c Lcommandline.cc
 
 
-libLfunction.a: $(OBJ_L)
-	ar ruv libLfunction.a $(OBJ_L)
-	ranlib libLfunction.a
+libLfunction.so: $(OBJ_L)
+	g++ -$(DYN_OPTION)  -o libLfunction.so $(OBJ_L)
 
 clean:
-	rm -f *.o lcalc libLfunction.a example_programs/example
+	rm -f *.o lcalc libLfunction.so example_programs/example
 
 install:
 	cp -f lcalc $(INSTALL_DIR)/bin/.
-	cp -f libLfunction.a $(INSTALL_DIR)/lib/.
-	ranlib $(INSTALL_DIR)/lib/libLfunction.a
+	cp -f libLfunction.so $(INSTALL_DIR)/lib/.
 	cp -rf ../include $(INSTALL_DIR)/include/Lfunction
 
 
-SRCS = Lcommandline.cc Lcommandline_elliptic.cc Lcommandline_globals.cc Lcommandline_misc.cc Lcommandline_numbertheory.cc Lcommandline_twist.cc Lcommandline_values_zeros.cc Lgamma.cc Lglobals.cc Lmisc.cc Lriemannsiegel.cc
+SRCS = Lcommandline.cc Lcommandline_elliptic.cc Lcommandline_globals.cc Lcommandline_misc.cc Lcommandline_numbertheory.cc Lcommandline_twist.cc Lcommandline_values_zeros.cc Lgamma.cc Lglobals.cc Lmisc.cc Lriemannsiegel.cc Lriemannsiegel_blfi.cc cmdline.c
 depend:
 	makedepend -f depends -- $(CCFLAGS) -Y../include -- $(SRCS)

=== debian/changelog ===
lcalc (1.23+dfsg-11build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:25 +0100

lcalc (1.23+dfsg-11) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 15 Jan 2019 12:47:52 +0000

lcalc (1.23+dfsg-10) experimental; urgency=medium

  * Add using_namespace_std.patch from sagemath.
  * Breaks: sagemath (<< 8.5~)

 -- Tobias Hansen <thansen@debian.org>  Sun, 06 Jan 2019 11:32:36 +0100

lcalc (1.23+dfsg-9) unstable; urgency=medium

  * Remove using_namespace_std.patch again (incompatible with sagemath 8.4).

 -- Tobias Hansen <thansen@debian.org>  Thu, 03 Jan 2019 11:30:10 +0100

lcalc (1.23+dfsg-8) unstable; urgency=medium

  [ Julien Puydt ]
  * Rewrite the tarball repacking (next release
  will use it, if necessary).

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Tobias Hansen ]
  * Add using_namespace_std.patch from sagemath.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 18:42:12 +0000

lcalc (1.23+dfsg-7) unstable; urgency=medium

  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump d/watch to version 4.
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.0.
    - Point Vcs-* fields to salsa.
    - Mark the -dev package Multi-Arch: same.
    - Put the lib package in section libs.
  * Add a patch for clang compilation (Closes: #748898).
  * Add a patch to fix spelling issues.
  * Comment why the sources are repacked in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Aug 2018 15:39:10 +0200

lcalc (1.23+dfsg-6) unstable; urgency=medium

  * Apply two patches to allow building with PARI 2.9. (Closes: #841738)
  * Bump Standards-Version to 3.9.8.

  [ Julien Puydt ]

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Oct 2016 19:10:37 +0100

lcalc (1.23+dfsg-5) unstable; urgency=medium

  * Add patch lcalc-1.23_default_parameters_2.patch from Sage to
    fix FTBFS with gcc-5 (Closes: #777932).

 -- Tobias Hansen <thansen@debian.org>  Mon, 18 May 2015 22:58:04 +0200

lcalc (1.23+dfsg-4) unstable; urgency=medium

  * Added a patch to allocate a bigger PARI stack. (Closes: #776802)
  * Bump standards-version to 3.9.6.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 02 Feb 2015 11:06:33 +0100

lcalc (1.23+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with gcc-4.9. (Closes: #746867)
  * With pari_2.7.patch the package build-depends now on pari >= 2.7
    instead of >= 2.5. (Closes: #746048)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 01:34:21 +0200

lcalc (1.23+dfsg-2) unstable; urgency=medium

  * Add patch fix_pari_include.patch:
    Fix pari includes to work with Pari 2.7 in Debian. (Closes: #743327)
  * Move pari_2.5.patch to pari_2.7.patch
    and add add further change (call ellinit with 3 parameters)
    (Closes: #743327)
  * Bump standards-version to 3.9.5.

 -- Tobias Hansen <thansen@debian.org>  Tue, 08 Apr 2014 21:24:26 +0200

lcalc (1.23+dfsg-1) unstable; urgency=low

  * Repack tarball to remove binary file.

 -- Tobias Hansen <thansen@debian.org>  Fri, 19 Jul 2013 00:19:08 +0200

lcalc (1.23-2) unstable; urgency=low

  * Ship the shared library liblfunction (Closes: #702901).
  * Move from experimental to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sun, 30 Jun 2013 23:16:56 +0200

lcalc (1.23-1) experimental; urgency=low

  * New upstream release (Closes: #592426).
  * New maintainer Debian Science Team, uploader me,
    with permission from Tim Abbott.
  * Transition to dh (compat level 9).
  * Enable hardening flags via dpkg-buildflags.
  * Standards-Version 3.9.4
  * Remove unnecessary mpfr and gmp dependencies.
    (Like in Sage, the package is currently built without mpfr.
    It fails to build when mpfr is enabled.)
  * Install the README file.
  * Use copyright format 1.0.
  * Create watch file.
  * debian/patches/gcc.patch:
    debian/patches/pari_2.5.patch:
    - Refresh and add headers.
  * debian/patches/lcalc-const-fixes.patch:
    - Remove: Was mostly applied upstream and the remaining 3 const
      fixes caused FTBFS.
  * debian/patches/Makefile.patch:
    - Add: Mostly a patch from Sage to use $CC, $CXX, $CXXFLAGS
      and $CPPFLAGS properly.

 -- Tobias Hansen <thansen@debian.org>  Sat, 12 Jan 2013 15:30:14 +0100

lcalc (0.0.20080205-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on versioned libpari-dev (>= 2.5) (Closes: #644092).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Dec 2011 02:36:15 +0100

lcalc (0.0.20080205-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/gcc.patch:
    - Fix FTBFS with newer gcc (Closes: #624986).
  * debian/patches/pari_2.5.patch:
    - Port to pari 2.5 API (Closes: #635506).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 15:38:48 +0200

lcalc (0.0.20080205-1) unstable; urgency=low

  * Initial release (Closes: #480088).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 00:35:05 -0400

=== debian/control ===
Source: lcalc
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper (>= 11), libpari-dev (>= 2.7)
Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
Vcs-Browser: https://salsa.debian.org/science-team/lcalc

Package: lcalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sagemath (<< 8.5~)
Description: program for calculating with L-functions
 lcalc is a program for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.

Package: liblfunction0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for calculating with L-functions
 liblfunction is a library for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.

Package: liblfunction-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblfunction0 (= ${binary:Version})
Description: development files for liblfunction
 liblfunction is a library for computing zeros and values of L-functions.
 Supported L-functions include the Riemann zeta function, the
 L-function of the Ramanujan delta function, and L-functions
 of elliptic curves defined over the rationals.
 .
 This package contains the development files for the library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build -- PARI_DEFINE=-DINCLUDE_PARI

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/include/Lfunction
	cp src/lcalc debian/tmp/usr/bin
	cp src/libLfunction.so.0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp include/*.h debian/tmp/usr/include/Lfunction

override_dh_link:
	dh_link -pliblfunction-dev usr/lib/$(DEB_HOST_MULTIARCH)/libLfunction.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libLfunction.so

override_dh_auto_clean:
	rm -f src/libLfunction.so.0
	dh_auto_clean

## lcalc 2.0.3

=== debian/changelog ===
lcalc (2.0.3-2) unstable; urgency=medium

  * Add b-dep on pkg-config (Closes: #993106).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 28 Aug 2021 19:16:30 +0200

lcalc (2.0.3-1) unstable; urgency=medium

  * Point d/watch to a non-abandoned upstream (and hence
  dropping the +dfsg as the tree is now clean).
  * Switch to debhelper-compat, and set level to 13.
  * Bump standards-version to 4.6.0.
  * Declare d/rules doesn't require root.
  * New upstream release.
  * Simplify packaging.
  * Add depend on gengetopt.
  * Update d/copyright.
  * Adapt to upstream now using libtool.
  * Add a patch to fix manpage typos.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 17:51:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper (>= 11), libpari-dev (>= 2.7)
+Build-Depends: debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
 Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
-Standards-Version: 4.2.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
 Vcs-Browser: https://salsa.debian.org/science-team/lcalc
+Rules-Requires-Root: no
 
 Package: lcalc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: sagemath (<< 8.5~)
+Depends: liblfunction1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: program for calculating with L-functions
  lcalc is a program for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
  L-function of the Ramanujan delta function, and L-functions
  of elliptic curves defined over the rationals.
 
-Package: liblfunction0
+Package: liblfunction1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, liblfunction0 (= ${binary:Version})
+Depends: ${misc:Depends}, liblfunction1 (= ${binary:Version})
 Description: development files for liblfunction
  liblfunction is a library for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## lcalc 2.0.4

=== debian/changelog ===
lcalc (2.0.4-1) unstable; urgency=medium

  * Apply patch from Chris Lamb making the build reproducible (Closes: #993950).
  * New upstream release.
  * Drop the patch (typos have been fixed upstream)"

 -- Julien Puydt <jpuydt@debian.org>  Sun, 28 Nov 2021 13:07:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@
+
+override_dh_installdocs:
+	dh_installdocs -X/Makefile

## lcalc 2.0.5

=== debian/changelog ===
lcalc (2.0.5-1.1build3) plucky; urgency=medium

  * Rebuild against latest pari

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 06:27:34 -0500

lcalc (2.0.5-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:39:59 +0000

lcalc (2.0.5-1.1build1) noble; urgency=high

  * No change rebuild against libpari-gmp-tls8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:36:26 +0100

lcalc (2.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062519

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:27:52 +0000

lcalc (2.0.5-1) unstable; urgency=medium

  * Move to the math team.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Dec 2021 10:02:12 +0100

lcalc (2.0.4-2) unstable; urgency=medium

  * Build --with-pari to support elliptic curve L-functions.
    (Closes: #1001492)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Dec 2021 22:13:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: lcalc
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), gengetopt, libpari-dev (>= 2.7), pkg-config
 Homepage: http://oto.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/science-team/lcalc.git
-Vcs-Browser: https://salsa.debian.org/science-team/lcalc
+Vcs-Git: https://salsa.debian.org/math-team/lcalc.git
+Vcs-Browser: https://salsa.debian.org/math-team/lcalc
 Rules-Requires-Root: no
 
 Package: lcalc
 Architecture: any
-Depends: liblfunction1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: liblfunction1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: program for calculating with L-functions
  lcalc is a program for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the
  L-function of the Ramanujan delta function, and L-functions
  of elliptic curves defined over the rationals.
 
-Package: liblfunction1
+Package: liblfunction1t64
+Provides: ${t64:Provides}
+Replaces: liblfunction1
+Breaks: liblfunction1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +39,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, liblfunction1 (= ${binary:Version})
+Depends: ${misc:Depends}, liblfunction1t64 (= ${binary:Version})
 Description: development files for liblfunction
  liblfunction is a library for computing zeros and values of L-functions.
  Supported L-functions include the Riemann zeta function, the

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- --with-pari
+
 override_dh_installdocs:
 	dh_installdocs -X/Makefile

=== debian/watch ===
version=4
https://gitlab.com/sagemath/lcalc/-/tags?sort=updated_desc .*/lcalc-v?([\d.]+).tar.bz2
